#line 1 "D:/GIT/example/PIC/Stretch.c"
#line 1 "d:/git/example/pic/stretch.h"
#line 28 "D:/GIT/example/PIC/Stretch.c"
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;


static unsigned int adc_rd;
static char txt[6];


static void readSensor();
static void set_adc();
#line 54 "D:/GIT/example/PIC/Stretch.c"
static void readSensor()
{
 adc_rd = ADC_Get_Sample(2);
 delay_ms(10);
}
#line 64 "D:/GIT/example/PIC/Stretch.c"
static void set_adc()
{
 ANSELA = 0x04;
 TRISA = 0x04;
 LATA = 0;
}

void main()
{
 set_adc();
 LCD_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,1,"Stretch click");

 ADC_Init();
 delay_ms(100);

 while(1) {
 readSensor();
 WordToStr(adc_rd,&txt);
 LCD_Out(2,4,txt);
 delay_ms(500);
 }

}
