
Stretch_readSensor:

;Stretch.c,54 :: 		static void readSensor()
;Stretch.c,56 :: 		adc_rd = ADC_Get_Sample(2);                // Read RA2
	MOVLW       2
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       Stretch_adc_rd+0 
	MOVF        R1, 0 
	MOVWF       Stretch_adc_rd+1 
;Stretch.c,57 :: 		delay_ms(10);                              // Pause 10ms
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_Stretch_readSensor0:
	DECFSZ      R13, 1, 1
	BRA         L_Stretch_readSensor0
	DECFSZ      R12, 1, 1
	BRA         L_Stretch_readSensor0
	NOP
;Stretch.c,58 :: 		}
L_end_readSensor:
	RETURN      0
; end of Stretch_readSensor

Stretch_set_adc:

;Stretch.c,64 :: 		static void set_adc()
;Stretch.c,66 :: 		ANSELA = 0x04;                             // Set ADC on RA2
	MOVLW       4
	MOVWF       ANSELA+0 
;Stretch.c,67 :: 		TRISA = 0x04;                              // Set RA2 as input
	MOVLW       4
	MOVWF       TRISA+0 
;Stretch.c,68 :: 		LATA = 0;
	CLRF        LATA+0 
;Stretch.c,69 :: 		}
L_end_set_adc:
	RETURN      0
; end of Stretch_set_adc

_main:

;Stretch.c,71 :: 		void main()
;Stretch.c,73 :: 		set_adc();                                 // Set A/D register
	CALL        Stretch_set_adc+0, 0
;Stretch.c,74 :: 		LCD_Init();                                // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;Stretch.c,75 :: 		Lcd_Cmd(_LCD_CLEAR);                       // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Stretch.c,76 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                  // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Stretch.c,77 :: 		Lcd_Out(1,1,"Stretch click");              // Write text in first row
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_Stretch+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_Stretch+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Stretch.c,79 :: 		ADC_Init();                                // Initialize ADC
	CALL        _ADC_Init+0, 0
;Stretch.c,80 :: 		delay_ms(100);                             // Pause of 100ms for ADC module stabilization
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main1:
	DECFSZ      R13, 1, 1
	BRA         L_main1
	DECFSZ      R12, 1, 1
	BRA         L_main1
	DECFSZ      R11, 1, 1
	BRA         L_main1
;Stretch.c,82 :: 		while(1) {
L_main2:
;Stretch.c,83 :: 		readSensor();                          // Read sensor
	CALL        Stretch_readSensor+0, 0
;Stretch.c,84 :: 		WordToStr(adc_rd,&txt);                // Conversion int adc_rd to string txt
	MOVF        Stretch_adc_rd+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        Stretch_adc_rd+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       Stretch_txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(Stretch_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;Stretch.c,85 :: 		LCD_Out(2,4,txt);                      // Print txt value on LCD
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       Stretch_txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(Stretch_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Stretch.c,86 :: 		delay_ms(500);                         // Pause 500ms
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
;Stretch.c,87 :: 		}
	GOTO        L_main2
;Stretch.c,89 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
